from django.db import models
from manager import SafeManager

class SafeModel(models.Model):
    objects = SafeManager()
    safe_objects = SafeManager(check_perm=True)
    
    class Meta:
        abstract = True